# Function selectOne

- selectOne(tbl, where, selectopts?): Promise<Row>

- Select one record

  #### Parameters

  - ##### tbl: string

    table name

  - ##### where: Where

    where object

  - ##### `Optional` selectopts: SelectOptions = {}

  #### Returns Promise<Row>

  return first record from sql result

  #### Throws

  #### Function

  - Defined in sqlite/sqlite.ts:320

Generated using TypeDoc